# Uses of Interface
org.eclipse.debug.core.commands.IEnabledStateRequest

Packages that use IEnabledStateRequest
Package
Description
org.eclipse.debug.core.commands
Provides a set of interfaces for common debug commands.

## Uses of IEnabledStateRequest in org.eclipse.debug.core.commands

Methods in org.eclipse.debug.core.commands with parameters of type IEnabledStateRequest
Modifier and Type
Method
Description
`void`
AbstractDebugCommand.`canExecute(IEnabledStateRequest request)`
`void`
IDebugCommandHandler.`canExecute(IEnabledStateRequest request)`
Determines whether this handler can execute on the elements specified in the given request by reporting enabled state to the request.
`protected abstract boolean`
AbstractDebugCommand.`isExecutable(Object[] targets, IProgressMonitor monitor, IEnabledStateRequest request)`
Returns whether this command is executable on the specified targets, reporting progress.